SoBumpMapMatrixElement(3)

NAME
SoBumpMapMatrixElement - The SoBumpMapMatrixElement class is used to manage the bump map matrix stack.

SYNOPSIS

#include <Inventor/elements/SoBumpMapMatrixElement.h>

Inherits SoAccumulatedElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void makeIdentity (SoState *const state, SoNode *const node)
static void set (SoState *const state, SoNode *const node, const SbMatrix &matrix)
static void mult (SoState *const state, SoNode *const node, const SbMatrix &matrix)
static void translateBy (SoState *const state, SoNode *const node, const SbVec3f &translation)
static void rotateBy (SoState *const state, SoNode *const node, const SbRotation &rotation)
static void scaleBy (SoState *const state, SoNode *const node, const SbVec3f &scaleFactor)
static const SbMatrix & get (SoState *const state)

  Protected Member Functions
virtual ~SoBumpMapMatrixElement ()
virtual void makeEltIdentity (void)
virtual void setElt (const SbMatrix &matrix)
virtual void multElt (const SbMatrix &matrix)
virtual void translateEltBy (const SbVec3f &translation)
virtual void rotateEltBy (const SbRotation &rotation)
virtual void scaleEltBy (const SbVec3f &scaleFactor)
virtual const SbMatrix & getElt (void) const

  Protected Attributes
SbMatrix bumpMapMatrix

  Additional Inherited Members

Detailed Description

The SoBumpMapMatrixElement class is used to manage the bump map matrix stack. The bump map matrix is used to transform bump map coordinates before being used to map bump maps onto polygons.

Constructor & Destructor Documentation

  SoBumpMapMatrixElement::~SoBumpMapMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoBumpMapMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoBumpMapMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoBumpMapMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoBumpMapMatrixElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

  void SoBumpMapMatrixElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoAccumulatedElement.

  void SoBumpMapMatrixElement::makeIdentity (SoState *const state, SoNode *const node) [static]
Sets current texture matrix to identity.

  void SoBumpMapMatrixElement::set (SoState *const state, SoNode *const node, const SbMatrix & matrix) [static]
Sets the current texture matrix to matrix.

This method is an extension versus the Open Inventor API.

  void SoBumpMapMatrixElement::mult (SoState *const state, SoNode *const node, const SbMatrix & matrix) [static]
Multiplies matrix into the current texture matrix.

  void SoBumpMapMatrixElement::translateBy (SoState *const state, SoNode *const node, const SbVec3f & translation) [static]
Appends translation to the current texture matrix.

  void SoBumpMapMatrixElement::rotateBy (SoState *const state, SoNode *const node, const SbRotation & rotation) [static]
Appends rotation to the current texture matrix.

  void SoBumpMapMatrixElement::scaleBy (SoState *const state, SoNode *const node, const SbVec3f & scaleFactor) [static]
Appends scaleFactor to the current texture matrix.

  const SbMatrix & SoBumpMapMatrixElement::get (SoState *const state) [static]
Returns current texture matrix.

  void SoBumpMapMatrixElement::makeEltIdentity (void) [protected], [virtual]
virtual method which is called from makeIdentity(). Sets element matrix to identity.

  void SoBumpMapMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]
virtual method which is called from set(). Sets the texture matrix to matrix.

This method is an extension versus the Open Inventor API.

  void SoBumpMapMatrixElement::multElt (const SbMatrix & matrix) [protected], [virtual]
virtual method which is called from mult(). Multiplies matrix into element matrix.

  void SoBumpMapMatrixElement::translateEltBy (const SbVec3f & translation) [protected], [virtual]
virtual method which is called from translateBy(). Appends translation to the element matrix.

  void SoBumpMapMatrixElement::rotateEltBy (const SbRotation & rotation) [protected], [virtual]
virtual method which is called from rotateBy(). Appends rotation to the element matrix.

  void SoBumpMapMatrixElement::scaleEltBy (const SbVec3f & scaleFactor) [protected], [virtual]
virtual method which is called from scaleBy(). Append scaleFactor to the element matrix.

  const SbMatrix & SoBumpMapMatrixElement::getElt (void) const [protected], [virtual]
Returns element matrix. Called from get().

Member Data Documentation

  SoBumpMapMatrixElement::bumpMapMatrix [protected]
The matrix.

Author

Generated automatically by Doxygen for Coin from the source code.